#define py_ver         %(%{__python} -V 2>&1 | sed 's/^Python //;s/\.[0-9]*$//')
%define py_ver         %(echo `python -c "import sys; sys.stdout.write(sys.version[:3])"`)
%define py_prefix      %(echo `python -c "import sys; sys.stdout.write(sys.prefix)"`)
%define py_libdir      %{py_prefix}/lib/python%{py_ver}
%define py_incdir      /usr/include/python%{py_ver}
%define py_sitedir     %{py_libdir}/site-packages
%define py_dyndir      %{py_libdir}/lib-dynload

Summary: Docker image extraction tool
Name: undocker
Version: 0.0.1
Release: 1.mej%{?dist}
License: MIT
Group: Development/Tools
### See also:  http://blog.oddbit.com/2015/02/13/unpacking-docker-images/
URL: https://github.com/larsks/undocker/
# wget -O undocker-0.0.1.zip https://github.com/larsks/undocker/archive/master.zip
Source: %{name}-%{version}.zip
Packager: %{?_packager}%{!?_packager:%{_vendor}}
Vendor: %{?_vendorinfo}%{!?_vendorinfo:%{_vendor}}
Distribution: %{?_distribution}%{!?_distribution:%{_vendor}}
Requires: python(abi) = %{py_ver}
BuildArch: noarch
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Undocker is a tool for extracting all or some of a Docker image's layers.

%prep
%setup -q -n %{name}-master

%build
CFLAGS="%{?cflags:%{cflags}}%{!?cflags:$RPM_OPT_FLAGS}"
export CFLAGS

python setup.py build

%install
python setup.py install --root $RPM_BUILD_ROOT --prefix %{_prefix}

%clean
test "x$RPM_BUILD_ROOT" != "x/" && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README.md
%{_bindir}/%{name}
%{py_sitedir}/%{name}-*.egg-info/
%{py_sitedir}/%{name}.py*

%changelog
* Wed Feb 18 2015 Mezzanine <mezzanine@kainx.org>
- Specfile auto-generated by Mezzanine

